Bug 474419 - Seahorse don't prompt for passwords, show "Bad password" error.
Seahorse don't prompt for passwords, show "Bad password" error.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 13:55 EST by Ví­ctor Daniel
Modified: 2015-03-03 17:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:07:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ví­ctor Daniel 2008-12-03 13:55:14 EST
Description of problem:
Seahorse don't prompt for gpg passwords, showing a "Bad password" error.

Version-Release number of selected component (if applicable):
seahorse-2.24.1-1.fc10.i386

How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:
show "Bad password"

Expected results:
Prompt password

Additional info:
This issue occurs in systems where pinentry-gtk is not installed, in the xfce spin for example.

Seahorse package currently not require pinentry-gtk, and this is needed to solve this problem.
Comment 1 Dominic Hopf 2009-05-29 10:40:43 EDT
I've got similar caused problems because pinentry-gtk is not installed. When trying to sign a foreign key with seahorse without pinentry-gtk installed, seahorse freezes and doesn't react on any input, neither on mouse nor on keyboard. A prompt for the passphrase of the own key is missing.
After killing seahorse there is still a pinentry-process which needs 100% of cpu load, but without any output.
Installing pinentry-gtk solved that problem. I think it would be a good idea to declare pinentry-gtk as a dependency of seahorse.
Comment 2 Tomáš Bžatek 2009-06-01 12:24:16 EDT
I've added explicit pinentry-gtk dependency to the rawhide package (seahorse-2.27.1-2.fc12), want to get some testing before pushing to stable Fedora releases.
Comment 3 Michael Schwendt 2009-09-01 13:01:24 EDT
Makes sense.


> After killing seahorse there is still a pinentry-process which
> needs 100% of cpu load, but without any output.

seahorse requires gpgme, which in turn requires gnupg2, which in turn requires pinentry, which by default is only for ncurses.
Comment 4 Bug Zapper 2009-11-18 07:40:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:07:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.